package com.magnatune.eyecreate.companionformagnatune.model.xml;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import com.thoughtworks.xstream.annotations.XStreamOmitField;

import java.util.Date;
import java.util.List;

@XStreamAlias("Album")
public class Album {

    
    public String artist;

    
    public String artistdesc;

    
    public String cover_small;

    
    public String artistphoto;

    
    public String albumname;

    
    public int year;

    public String album_notes;

    
    public String mp3genre;

    
    public String home;

    
    public String magnatunegenres;

    
    public Date launchdate;

    
    public String albumsku;

    @XStreamImplicit(itemFieldName = "Track")
    public List<Track> tracks;
}
